EDIT - feature request #5974

Remove synonym relationships
07/08/2016 09:07 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

Synonym relationships are not necessarily needed as a synonym always belongs to 1 explicit taxon. They are only needed for pro
parte synonyms, a concept not correct as pro parte indicates concept relationships.

As reusing of synonyms for this incorrect purpose was never asked by users we may remove it.

Open question is if synonym sec and synonym relationship citation are both needed. Probably not with syn sec being the reference
saying that the synonym (name) is a synonym of the given concept. The synonym itself does not have a real secundum as it is not a
concept, only a name usage. Synonyms mentionied in the same reference as the accepted taxon secundum will get the same syn
sec.

This is according to the fact that we use "syn. sec." already instead of sec. for synonyms in dataportal/cache strategy.

We need to check if any reused synonyms exist and if any syn rel citations exist, which may get lost when removing the
SynonymRelationship class.

see also #5523

Subtasks:

feature request # 6198: Remove synonym relationships in TaxEditor Closed
bug # 6201: Adapt dataportal to the new synonym datamodel Closed
bug # 6210: Null values for boolean fields are causing PropertyAccessException Closed
bug # 6211: massive heap consumption by service endpoint /portal/taxon/{uuid}/synonymy Closed

Related issues:

Related to EDIT - feature request #5523: [DISCUSS] Do we need to distinguish ... In Progress
Related to EDIT - bug #6323: LIE during request to name_catalogue/taxon.json Closed
Related to EDIT - bug #6324: fix dozer mapping after removal of synonym relat... Closed
Related to EDIT - feature request #7334: Make pro parte and partial synonyms ... Closed
Related to EDIT - bug #7493: Review all references to SynonymRelationshipType... New
Precedes EDIT - task #7319: [CHECK] Import synonyms correctly in E+M Resolved
Copied to EDIT - task #6521: Check existing imports for handling new synonym ... New

Associated revisions

Revision 147686 - 10/12/2016 09:00 PM - Andreas Miuller

ref #5974 Remove synonym relationship first compiling implementation in cdmlib

Revision fbeefcaf - 10/13/2016 09:58 AM - Andreas Miiller

ref #5974 Replace synonymRelationshipType by SynonymType and replace some other occurrences of synonym relationship

Revision 152fcd76 - 10/13/2016 11:09 AM - Andreas Miiller

ref #5974 Replace synonym relationship update scripts (untested)

Revision 3ef2e1bd - 10/13/2016 01:41 PM - Andreas Miiller

ref #5974 Remove synonym relationships (not finished yet)

Revision d7fa3e13 - 10/18/2016 04:53 PM - Andreas Miiller
fix #5974 fix moving synonym type to TaxonBase and SynonymRelationType label

Revision 15566¢6f - 10/21/2016 04:45 PM - Andreas Miiller

ref #5974 implement substitute method for TaxonService.getAllRelationships

Revision 0e522f9f - 11/04/2016 02:09 PM - Andreas Miiller

ref #5974 Remove synonym relationships

Revision 47936¢60 - 11/04/2016 02:47 PM - Andreas Miiller

ref #5974 remove synonym relationship and other model changes

Revision 1925e9f2 - 11/04/2016 11:20 PM - Andreas Miiller

ref #5974 Fix synonymRelationship issues in vaadin

Revision d34abf30 - 11/10/2016 01:50 PM - Andreas Miiller

ref #5974 Remove synonym relationships (compiling)

Revision bdd1bcf5 - 11/10/2016 01:50 PM - Andreas Miiller

ref #5974 Remove synonym relationships (rename synRelType to synRel and others)

Revision aa01111e - 11/11/2016 01:58 PM - Andreas Miiller

ref #5974 Some synonymRelationship updates and update for dataset.dtd in TaxEditor

Revision 1b945f03 - 11/11/2016 02:07 PM - Andreas Miiller
ref #5974 Some synonymRelationship updates

Revision e73a46a0 - 11/11/2016 02:18 PM - Andreas Miiller

ref #5974 Some synonymRelationship updates in TaxEditor tests

Revision 45844ac2 - 11/15/2016 08:45 AM - Andreas Miiller
ref #5974 fix update script for synonym duplicates

Revision b19¢294b - 11/21/2016 11:51 AM - Andreas Kohlbecker
ref #5974 fixing LIE in controller

Revision f3d4c9bc - 11/23/2016 01:20 PM - Andreas Miiller

Fix proparte is null in update script

Revision 04a88dbc - 01/11/2017 12:44 PM - Andreas Kohlbecker
fix #6323 adding missing bean init path missing after ref #5974

Revision 8e6fba80 - 01/11/2017 02:14 PM - Andreas Kohlbecker
fix #4377 adding missing bean init path missing after ref #5974

Revision e5dfd829 - 01/18/2017 11:20 PM - Andreas Miiller

ref #5974 remove synonymRelationships from BfN Import init strategy

Revision 525e5ef8 - 06/12/2018 01:31 PM - Andreas Miiller

ref #5974 fully remove multi value field logic from AcceptedTaxonBridge

Revision ed06021d - 06/12/2018 09:53 PM - Andreas Miuller

ref #5974 fully remove multi value field logic from AcceptedTaxonBridge

History

#1 - 10/13/2016 03:40 PM - Andreas Miuller

- Description updated
- % Done changed from 0 to 40

#2 - 10/13/2016 03:41 PM - Andreas Miiller
- Related to feature request #5523: [DISCUSS] Do we need to distinguish homotypic and heterotypic synonym relationships added

#3 - 10/13/2016 03:44 PM - Andreas Miller

- Status changed from New to In Progress

#4 - 10/18/2016 06:36 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 40 to 50

Applied in changeset cdmlib|d7fa3e131995dd5543514aa3afd71fdd31b59bf5.

#5 - 11/21/2016 01:38 PM - Andreas Miuller

- Private changed from Yes to No

#6 - 01/11/2017 12:09 PM - Andreas Kohlbecker
- Related to bug #6323: LIE during request to name_catalogue/taxon.json added

#7 - 01/11/2017 12:13 PM - Andreas Kohlbecker

- Related to bug #6324: fix dozer mapping after removal of synonym relations and after using TaxonNode added

#9 - 03/17/2017 01:16 AM - Andreas Mdiller

- Related to task #6521: Check existing imports for handling new synonym structure correctly added

#10 - 03/17/2017 01:17 AM - Andreas Miiller

- Status changed from Resolved to Closed

This can be closed as we are using it for longer time already. Only open issue might be that imports need to be adapted. Handled in new ticket: #6521

#11 - 03/17/2017 01:18 AM - Andreas Miiller

- Related to deleted (task #6521: Check existing imports for handling new synonym structure correctly)

#12 - 03/17/2017 01:18 AM - Andreas Miiller

- Copied to task #6521: Check existing imports for handling new synonym structure correctly added

#13 - 03/19/2018 07:27 PM - Andreas Miiller
- Precedes task #7319: [CHECK] Import synonyms correctly in E+M added

#14 - 03/28/2018 02:19 PM - Andreas Miiller

- Related to feature request #7334: Make pro parte and partial synonyms real concept relationships added

#15 - 02/22/2023 10:18 AM - Andreas Miiller
- Related to bug #7493: Review all references to SynonymRelationshipTypes and adapt code if needed added
